<template>
  <div>
    <section-header>{{ label }}</section-header>
    <div class="flex flex-col">
      <div class="flex flex-row">
        <info-cell>Id</info-cell>
        <info-cell>Name</info-cell>
        <info-cell>Country</info-cell>
        <router-link :to="{ name: 'EditLodge', params: { id: 'new' } }">
          <AddButton />
        </router-link>
      </div>
      <LodgeInfo v-for="lodge of lodges" :key="lodge.id" :id="lodge.id" />
    </div>
    <div class="my-7 flex justify-center">
      <CancelButton value="return" class="w-1/2" @click="goBack" />
    </div>
  </div>
</template>

<script>
import LodgeInfo from '@/components/LodgeInfo.vue';
import InfoCell from '@/components/InfoCell.vue';
import CancelButton from '@/components/CancelButton.vue';
import AddButton from '@/components/AddButton.vue'
import SectionHeader from './SectionHeader.vue';
import { mapGetters } from 'vuex';

export default {
  props: ['label'],
  components: {
    LodgeInfo,
    InfoCell,
    CancelButton,
    AddButton,
    SectionHeader
  },
  methods: {
    goBack() {
      this.$router.push({ name: 'Menu' })
    }
  },
  computed: {
    ...mapGetters({
      lodges: 'getLodges'
    })
  }
}
</script>